The Dev-Team is warning about a potential issue with ultrasn0w for iOS 4.2.1 on iPhones with the 06.15.00 baseband. An increasing number of users with that version of the baseband software are reportedly losing GPS functionality when they unlock their device. The blog post says they are looking for the root cause but haven't found it yet, and notes that it's not a problem for all or even most users with that baseband. Still, to be on the safe side, they're suggesting people should just not expect GPS to work if they want to unlock iPhones with the 06.15.00 baseband using ultrasn0w:

Update #5: Unlockers have been reporting mixed results about GPS